Haskore.Interface.CSound.SoundMap

type SoundId

type InstrumentId

type DrumId

type Attribute

type AttributeList

type ToSound instr

attributeControl

type InstrumentTable out instr

type InstrumentTableWithAttributes out instr

type InstrumentSigExp out

data InstrumentAssociation out instr

lookupInstrument

instrumentTableToInstrBlocks

addInstrumentControls

instrumentAssociation

instrument

instrumentEq

instrument1

instrument2

instrument3

instrument4

type DrumTable out drum

type DrumTableWithAttributes out drum

type DrumSigExp out

data DrumAssociation out drum

lookupDrum

drumTableToInstrBlocks

addDrumControls

drumAssociation

drum

drumEq

drum1

drum2

drum3

drum4